Bug 59524 - Allow FILESAVE with password for xlsx and other not LibreOffice XML-based formats
Summary: Allow FILESAVE with password for xlsx and other not LibreOffice XML-based for...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: high major
Assignee: Tomaz Vajngerl
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 19:42 UTC by deelanlal
Modified: 2013-09-27 07:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description deelanlal 2013-01-17 19:42:15 UTC
The "Save with password" becomes greyed out when saving a spreadsheet in xlsx format.
Comment 1 Rainer Bielefeld Retired 2013-01-17 20:13:01 UTC
Already [Reproducible] with Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) 

But: Help on <https://help.libreoffice.org/scalc/33008?Language=en-US&System=WIN> says: "Only documents using the LibreOffice XML-based format can be saved with a password."

That's not correct, also possible for xls and similar, but so reporter's result is not unexpected.

May be we should see this as Enhancement request?
Comment 2 A (Andy) 2013-03-30 08:11:38 UTC
confirmed as enhancement request, LO should really have the option to save xlsx and docx files with a password, I struggle very often with this missing feature -> increased importance
Comment 3 Bill Robertson 2013-07-22 05:27:42 UTC
This is also a major issue for us - a company wide LibreOffice rollout (approx 250 desktops) is now on hold pending resolution.

Also confirmed for Libreoffice 4.0.4.2 (Ubuntu Linux and Windows).

PS I expect we would be willing contribute towards sponsoring of a fix.
Comment 4 Rene' Fiby 2013-07-23 00:38:12 UTC
If the world had LibreOffice only, this would be fine. Unfortunately we do need to share documents in .xlsx format. Please fix this bug as soon as possible. Thank you :-)
Comment 5 Bernard Gray 2013-07-23 06:25:07 UTC
Please note that under Ubuntu 12.10, using the libreoffice-ppa packages (currently 4.0.4~rc2-0ubuntu1~quantal1) the "Save with password" checkbox is enabled, but if you tick it and enter a password, no password is saved with the file.

Unless this is specific to those ppa packages only, this would qualify for changing this reports Importance from "Enhancement" to "Critical"
Comment 6 Bill Robertson 2013-07-23 07:43:22 UTC
1/ Agree with Rainer's point - xls files do save with a password under LO, so behaviour is inconsistent.

2/ Also agree with Bernard's point - allowing a (Linux) user to save with a password then not encrypting the file is a bug.

Note that the vast majority of our desktops are Linux so this is a showstopper for us

PS I expect we would be willing contribute towards sponsoring a fix / enhancement.
Comment 7 ign_christian 2013-07-23 07:58:21 UTC
Hi Bill, perhaps you could sponsoring via:
http://www.freedomsponsors.org/core/issue/?s=&project_id=149&project_name=LibreOffice

Hope that boost more attraction :)

Set Platform to: All -> also affect Windows (except comment 5)
Comment 8 Sheline 2013-07-23 22:34:54 UTC
This is an issue for me too.
Comment 9 Bill Robertson 2013-08-06 07:53:32 UTC
We have just sponsored this issue for USD 300.00 on FreedomSponsors:
http://www.freedomsponsors.org/core/issue/316/allow-filesave-with-password-for-xlsx-and-other-not-libreoffice-xml-based-formats

If you solve it (according to the acceptance criteria described there), please register on FreedomSponsors and mark it as resolved there. We will then check it out and gladly pay.

If you want to add a few dollars to this issue you can do so at FreedomSponsors.
Comment 10 ign_christian 2013-08-07 02:00:59 UTC
It's an attractive offer Bill, hope someone will catch it :-)

Don't think it's an enhancement..so we'd better setting the importance & version based on Joel comment in Bug 64753.
Comment 11 Tomaz Vajngerl 2013-08-12 13:45:57 UTC
I think I have all the ingredients to make this work for OOXML documents. The plan is to support the encryption format used in Office 2007 and maybe switch to "agile" encryption info format used in 2010 and 2013 once it also works for importing of this files. Generally for exporting/saving it shouldn't matter which format is used as all Office 2007, 2010 and 2013 should support all encryption info formats.

First version for testing the encryption should be available very soon.
Comment 12 Commit Notification 2013-08-13 22:08:46 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3423db6f81dfcd3993178a70bde7c69a0c02c302

fdo#59524 Encryption for MS Office 2007 Spreadsheet documents



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-08-13 22:09:04 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=651b1d08a19c2770ad6f9ed4a6889faeec73e6ba

fdo#59524 Also write sheet length so MS Office will open it.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-08-15 15:29:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef947839c9e6e5e86e11f7a7cbf13470010ca48f

fdo#59524 Enable encryption for docx, pptx and standard OOXML formats



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Bill Robertson 2013-09-25 00:19:50 UTC
Successfully tested fix on a LibreOffice 4.2 alpha from nightly build.

Have now happily paid out the US$300 "Freedom Sponsors" bounty.

Well done and many thanks.
Comment 16 Tomaz Vajngerl 2013-09-27 07:11:50 UTC
Thanks for the donation!

This bug is now FIXED :)